# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Real-Time Payments request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of an RTP request. By the end of this tutorial, you'll know how to use an `endToEndId` to manually check and confirm the status of your request. > The Global Payments API supports [webhooks](/docs/treasury/global-payments/capabilities/global-payments/callbacks) for automatic status updates. > ## Before you begin To retrieve the status of an RTP request, you'll need an `endToEndId` from your payment request. This value is included in the [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/how-to/initiate-a-real-time-payment-request#confirm-response). ## Create and send a status request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/how-to/initiate-a-real-time-payment-request#confirm-response) includes an `endToEndId` value, which you can use to get details about your payment request. To retrieve this information, send a `GET` request to the `/payments/status` endpoint and add your unique `endToEndId` at the end of the URL. ```curl curl --location 'https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId=pl210g9t231r13541130' ``` The following example shows a status response for a pending transaction: ```json { "paymentStatus": { "createDateTime": "2022-10-15T00:00:12.145", "status": "PENDING" } } ``` For a full list of supported status response types, see [Webhooks](/docs/treasury/global-payments/capabilities/global-payments/callbacks#status-response-types). ## Next steps Learn how to [retrieve the payment details](/docs/treasury/global-payments/capabilities/global-payments/real-time-payments/how-to/get-real-time-payments-transaction-details) of your RTP request.